document.addEventListener('DOMContentLoaded', function () {
  async function init() {
    const numParcours = getNumParcoursFromURL();

    // Attendre le chargement complet du parcours
    await loadParcours(numParcours);

    const parcours = JSON.parse(sessionStorage.getItem('parcours'));

    if (parcours) {
      // Affichez les informations du parcours dans votre interface utilisateur
      document.getElementById('displayedNumParcours').innerText = numParcours;
      document.getElementById('dateCreaParcours').innerText = parcours.created
      ? new Date(parcours.created).toLocaleDateString('fr-FR', { day: 'numeric', month: 'long', year: 'numeric' })
      : null;

      const dernierUtilisateur = parcours["@expand"].dernierUtilisateur;
      document.getElementById('souscripteurParcours').innerText = dernierUtilisateur
      ? `${dernierUtilisateur.matricule}, ${dernierUtilisateur.prenom} ${dernierUtilisateur.nom}`
      : null;
    }
  }

  init().catch(console.error);

  // Écoute de l'événement du bouton nouveau parcours
  document.getElementById('infoContratBtn').addEventListener('click', function () {
    window.location.href = `/contrat?numParcours=${getNumParcoursFromURL()}`;
  });
});
